MSGINIT(1)

NAME
msginit - initialize a message catalog

SYNOPSIS
msginit [OPTION]

DESCRIPTION

Creates a new PO file, initializing the meta information with values from the user's environment.

Mandatory arguments to long options are mandatory for short options too.

  Input file location:

-i, --input=INPUTFILE
    input POT file

If no input file is given, the current directory is searched for the POT file. If it is -, standard input is read.

  Output file location:

-o, --output-file=FILE
    write output to specified PO file

If no output file is given, it depends on the --locale option or the user's locale setting. If it is -, the results are written to standard output.

  Input file syntax:

-P, --properties-input
    input file is in Java .properties syntax

--stringtable-input
    input file is in NeXTstep/GNUstep .strings syntax

  Output details:

-l, --locale=LL_CC[.ENCODING]
    set target locale

--no-translator
    assume the PO file is automatically generated

--color
    use colors and other text attributes always

--color=WHEN
    use colors and other text attributes if WHEN. WHEN may be 'always', 'never', 'auto', or 'html'.

--style=STYLEFILE
    specify CSS style rule file for --color

-p, --properties-output
    write out a Java .properties file

--stringtable-output
    write out a NeXTstep/GNUstep .strings file

-w, --width=NUMBER
    set output page width

--no-wrap
    do not break long message lines, longer than the output page width, into several lines

  Informative output:

-h, --help
    display this help and exit

-V, --version
    output version information and exit

AUTHOR
Written by Bruno Haible.

REPORTING BUGS
Report bugs in the bug tracker at <https://savannah.gnu.org/projects/gettext> or by email to <bug-gettext@gnu.org>.

COPYRIGHT
Copyright © 2001-2022 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for msginit is maintained as a Texinfo manual. If the info and msginit programs are properly installed at your site, the command

    info msginit

should give you access to the complete manual.